## org.eclipse.emf.ocl.internal.parser
Class CompatibilityUtil

    java.lang.Object
      org.eclipse.emf.ocl.internal.parser.CompatibilityUtil

    public class CompatibilityUtil

extends Object

Method Summary
`static Environment` `getCompatibilityEnvironment(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> environment)`

`static Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`

`getCompatibilityEnvironment(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent, Environment environment, EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> factory)`

`static EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>` `getCompatibilityFactory(EnvironmentFactory factory)`
`static EObject` `getNewAS(Environment env, EObject astNode)`
`static EList<EObject>` `getNewAS(Environment env, List<? extends EObject> astNodes)`
`static EOperation` `getNewOperation(EOperation oper, EClassifier newOwner, EClassifier oldOwner)`
`static EObject` `getOldAS(Environment env, EObject astNode)`
`static EList<EObject>` `getOldAS(Environment env, List<? extends EObject> astNodes)`
`static EOperation` `getOldOperation(EOperation oper, EClassifier oldOwner, EClassifier newOwner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCompatibilityEnvironment

    public static Environment getCompatibilityEnvironment(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> environment)

### getCompatibilityEnvironment

    public static Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> getCompatibilityEnvironment(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent,
                                                                                                                                                                                                             Environment environment,
                                                                                                                                                                                                             EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> factory)

### getCompatibilityFactory

    public static EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> getCompatibilityFactory(EnvironmentFactory factory)

### getOldOperation

    public static EOperation getOldOperation(EOperation oper,
                                             EClassifier oldOwner,
                                             EClassifier newOwner)

### getNewOperation

    public static EOperation getNewOperation(EOperation oper,
                                             EClassifier newOwner,
                                             EClassifier oldOwner)

### getOldAS

    public static EList<EObject> getOldAS(Environment env,
                                          List<? extends EObject> astNodes)

### getNewAS

    public static EList<EObject> getNewAS(Environment env,
                                          List<? extends EObject> astNodes)

### getOldAS

    public static EObject getOldAS(Environment env,
                                   EObject astNode)

### getNewAS

    public static EObject getNewAS(Environment env,
                                   EObject astNode)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.